import os

from source import manager, model, api

# create a fastapi application
application = api.Application()


# create the model controller
model_controller = manager.ModelManager(application, os.environ["MODEL_LIBRARY"])
model_controller.register_model_type("python", model.PythonModel)
model_controller.reload()

# serve the application
application.serve("0.0.0.0", 8000)
